VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
CDrawContext::Impl Struct Reference

## Classes
struct | State

## Public Attributes
UTF8String * | drawStringHelper {nullptr}
CRect | surfaceRect
double | scaleFactor {1.}
State | currentState
std::stack< State > | globalStatesStack
std::stack< CGraphicsTransform > | transformStack
PlatformGraphicsDeviceContextPtr | device

## Member Data Documentation

## ◆ currentState

State currentState

## ◆ device

PlatformGraphicsDeviceContextPtr device

## ◆ drawStringHelper

UTF8String* drawStringHelper {nullptr}

## ◆ globalStatesStack

std::stack<State> globalStatesStack

## ◆ scaleFactor

double scaleFactor {1.}

## ◆ surfaceRect

CRect surfaceRect

## ◆ transformStack

std::stack<CGraphicsTransform> transformStack

The documentation for this struct was generated from the following file:

- cdrawcontext.cpp